/* SC_int.c

This SysCore part manages interrupts. It allows you to call them from C and other languages.
This is used by a lot of SyntheSys components to trigger interrupts.

Functions and procedures:
	
	int SC_IntCall(unsigned char IntNum)
	int SC_IntRegister(unsigned char IntNum, void (*proc))

*/

void SC_IntCall(unsigned char IntNum) {
asm("INT %0\n\t" : : "m" (IntNum));
}