/* SC_mem.c

These are basic functions to play with the memory. 
They don't care about overwriting memory that you copy upward.

*/

int SC_MemDataMove(void *srcaddr, void *dstaddr, unsigned long len) {
const char *sp = (const char *)srcaddr;
char *dp = (char *)dstaddr;
for(; len != 0; len--) *dp++ = *sp++;
return 0;
}

int SC_MemSet(void *startaddr, unsigned long len, unsigned char value) {
char *temp = (char *)startaddr;
for( ; len != 0; len--) *temp++ = value;
return 0;
}
