#/bin/bash 

echo "Compiling the kernel ..."
nasm -f elf -o bootpm.o bootpm.S

bash ./SysCore/SCCompile.sh
bash ./CoreKernel/CoreKernelCompile.sh
bash ./libSystem/lSysCompile.sh

# We'll add gcc here

echo "Linking the kernel ..."
ld -T syskern.ld -o system.bin bootpm.o ./CoreKernel/SystemMgr-ck/SystemMgr-ck.o ./CoreKernel/SystemMgr-ck/SystemMgrIRQ.o ./SysCore/SC_mem.o ./libSystem/TermPCCons/TermPCCons.o ./SysCore/SC_io.o ./CoreKernel/TimeMgr/TimeMgr-8254.o ./libSystem/InputMgr/KeyboardBase.o
