OUTPUT_FORMAT("binary")
ENTRY(start)
phys = 0x00100000;
virt = 0x00001000;

SECTIONS
{
  .text phys : {
    code = .;
    *(.text)
    *(.rodata*)
    . = ALIGN(4096);
  }
  .data :
  {
   data = .;
    *(.data)
    . = ALIGN(4096);
  }  
  .bss :
  {
    bss = .;
    *(.bss)
    . = ALIGN(4096);
  }
  end = .;
}

